Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class BaseDeserializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory

All Implemented Interfaces:
  javax.xml.rpc.encoding.DeserializerFactory, DeserializerFactory, Serializable

Direct Known Subclasses:
  ArrayDeserializerFactory, Base64DeserializerFactory, BeanDeserializerFactory, CalendarDeserializerFactory, DateDeserializerFactory, DocumentDeserializerFactory, ElementDeserializerFactory, EnumDeserializerFactory, HexDeserializerFactory, JAFDataHandlerDeserializerFactory, ListDeserializerFactory, MapDeserializerFactory, QNameDeserializerFactory, SimpleDeserializerFactory, VectorDeserializerFactory

public abstract class BaseDeserializerFactory
extends BaseFactory
implements DeserializerFactory

Base class for Axis Deserialization Factory classes for code reuse

Author:
  Rich Scheuerle
See Also:
  Serialized Form

Field Summary
`protected Class` | `deserClass`
`protected Constructor` | `deserClassConstructor`
`protected Method` | `getDeserializer`
`protected Class` | `javaType`
`protected javax.xml.namespace.QName` | `xmlType`

Constructor Summary
`BaseDeserializerFactory(Class deserClass)` Constructor
`BaseDeserializerFactory(Class deserClass, javax.xml.namespace.QName xmlType, Class javaType)`

Method Summary
`static DeserializerFactory` | `createFactory(Class factory, Class javaType, javax.xml.namespace.QName xmlType)` Utility method that intospects on a factory class to decide how to create the factory.
`protected Constructor` | `getDeserClassConstructor()` Returns the deserClassConstructor.
`javax.xml.rpc.encoding.Deserializer` | `getDeserializerAs(String mechanismType)`
`protected Deserializer` | `getGeneralPurpose(String mechanismType)` Obtains a deserializer by invoking (javaType, xmlType) on the deserClass.
`protected Method` | `getGetDeserializer()` Returns the getDeserializer.
`protected Deserializer` | `getSpecialized(String mechanismType)` Obtains a deserializer by invoking getDeserializer method in the javaType class or its Helper class.
`Iterator` | `getSupportedMechanismTypes()` Returns a list of all XML processing mechanism types supported by this DeserializerFactory.

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deserClass

    protected Class deserClass

### xmlType

    protected javax.xml.namespace.QName xmlType

### javaType

    protected Class javaType

### deserClassConstructor

    protected transient Constructor deserClassConstructor

### getDeserializer

    protected transient Method getDeserializer

Constructor Detail

### BaseDeserializerFactory

    public BaseDeserializerFactory(Class deserClass)

  Constructor

Parameters:
  `deserClass` - is the class of the Deserializer

### BaseDeserializerFactory

    public BaseDeserializerFactory(Class deserClass,
                                   javax.xml.namespace.QName xmlType,
                                   Class javaType)

Method Detail

### getDeserializerAs

    public javax.xml.rpc.encoding.Deserializer getDeserializerAs(String mechanismType)
                                                          throws javax.xml.rpc.JAXRPCException

  Specified by:
    `getDeserializerAs` in interface `javax.xml.rpc.encoding.DeserializerFactory`
  Throws:
    `javax.xml.rpc.JAXRPCException`

### getGeneralPurpose

    protected Deserializer getGeneralPurpose(String mechanismType)

  Obtains a deserializer by invoking (javaType, xmlType) on the deserClass.

### getSpecialized

    protected Deserializer getSpecialized(String mechanismType)

  Obtains a deserializer by invoking getDeserializer method in the javaType class or its Helper class.

### getSupportedMechanismTypes

    public Iterator getSupportedMechanismTypes()

  Returns a list of all XML processing mechanism types supported by this DeserializerFactory.

  Specified by:
    `getSupportedMechanismTypes` in interface `javax.xml.rpc.encoding.DeserializerFactory`
  Returns:
    List of unique identifiers for the supported XML processing mechanism types

### createFactory

    public static DeserializerFactory createFactory(Class factory,
                                                    Class javaType,
                                                    javax.xml.namespace.QName xmlType)

  Utility method that intospects on a factory class to decide how to create the factory. Tries in the following order: public static create(Class javaType, QName xmlType) public (Class javaType, QName xmlType) public ()

  Parameters:
    `factory` - class
    `javaType` -
    `xmlType` -

### getDeserClassConstructor

    protected Constructor getDeserClassConstructor()

  Returns the deserClassConstructor.

  Returns:
    Constructor

### getGetDeserializer

    protected Method getGetDeserializer()

  Returns the getDeserializer.

  Returns:
    Method

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.